Subject: Gen-ART LC review for draft-ietf-ccamp-rwa-wson-encode-27

From: "Peter Yee" <[email-masked]>
Date: Thu, 19 Feb 2015 21:44:58 -0800

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at
<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Please resolve these comments along with any other Last Call comments you
may receive.

Document: draft-ietf-ccamp-rwa-wson-encode-27
Reviewer: Peter Yee
Review Date: Feb-19-2015
IETF LC End Date: Feb-19-2015
IESG Telechat date: TBD

Summary: This draft is basically ready for publication as a Standards Track
RFC, but has some nits that should be fixed before publication. [Ready with
nits.]

The draft specifies the encoding of information elements necessary for WSON
switching.  I've no real issues with the document other than some (mostly)
unimportant nits.

Major issues: None

Minor issues: None

Nits:

General:

There are a few occurrences of "i.e. XYZ" (that is, "i.e." followed by a
space and something (XYZ)).  Insert a comma before the space, which should
be easy with a general search-and-replace operation.

When a number of bits is used as an adjective, hyphenate the number and the
word "bit".  For example, "64-bit OIC field" instead of "64 bit OIC field"

There are a number of definitions of the form "W: take values S
(short-haul), L (long-haul)".  "Take" should be replaced with "takes" for
all of these definitions.  These are found in sections 4.1.x.

I find the use of "information element", "field", and "subfield" a bit
confusing as they are used somewhat interchangeably and without great
consistency.  That said, I don't think the current usage will harm
implementations.

Is there any requirement to specify how values are encoded in bit fields?  I
wasn't sure if things were done in network order or if anything different
from ITU specifications applied.  If there's any ambiguity, specify the
encoding explicitly.

Replace all uses of "parenthesis" with "parentheses".

Specific:

Page 1: The abstract should appear before the status of the memo.  RFC 7322
strongly recommends this ordering be maintained.

Page 2, Abstract, 2nd paragraph, 1st sentence: change "WSON specific" to
"WSON-specific".

Page 4, section 1.1: change "Resources Blocks" to "Resource Blocks".

Page 5, section 2.1, 2nd paragraph: change the "a" before "RB" to "an".

Page 6, Usage Note (last paragraph before section 3): change "advantages" to
"advantageous".

Page 6, last sentence: append "field" after "Resource Accessibility".  See
the discussion of the term "field" in the General Nits section as well.

Page 7, last paragraph: delete the initial "The".

Page 8, section 3.2, 1st sentence: delete "a".

Page 8, definitions of "I", "O", and "B": for clarity, it might be helpful
to outright specify that the value 1 signals presence and 0 signals absence.
That will remove any minor ambiguity here.

Page 10, last paragraph, 1st sentence: change "used" to "use".

Page 11, section 3.4, 1st sentence: change "Resources" to "Resource".

Page 13, 2nd paragraph after the figure: change "indicated" to "conveyed".

Page 13, definitions of "I", "O", and B":  consider rewriting the
definitions like this for readability:

	I = 1 indicates that the resource blocks identified in the RB set
field utilized a shared fiber for input access and I = 0 indicates
otherwise.

Page 13, last paragraph, last sentence: insert "the" before "following
format".

Page 14, last sentence: delete "list of" and append "List" after "Optical
Interface Class".

Page 15, 1st sentence after the I/O values table: insert "the" before
"input/output".

Page 15, following sentence: change "Format" to "format".

Page 15, last sentence: change "semantic" to "semantics".

Page 16, S=0 definition: replace "non " with "non-".

Page 16, 1st sentence after S=x values: change "values" to "value".  (Only
one value is given.)

Page 16, last paragraph before section 4.1.1: insert "the" before "case".
Change "Code" to "Codes".  Delete "number".

Page 16, section 4.1.1, B definition: change "Bidirectionals" to
"Bidirectional" (singular).  ITU-G.698.1 doesn't use the term
"Bidirectionals" and the singular usage seems appropriate.

Page 17, t definition: delete "take".  Append "the" after "only".

Page 17, F flag definition: change "not" to "absence".

Page 17, c definition: insert "the" before "same".  Append "as" after
"definition".  Replace "apply" with "applies".

Page 18, last sentence before section 4.1.2: change "code," to "code;".

Page 19, c definition: the same corrections as the Page 17 c definition
apply here as well.

Page 19, F definition: change "Fec" to "FEC".

Page 21, fragment before the suffix bit map: rewrite as "suffix is a 6-bit
bit map".  Consider changing "bit map" to "bitmap" as that compound word is
widely accepted.

Page 22, 2nd sentence: change "prefixed" to "prefixes".

Page 22, t definition: change "values" to "value".

Page 22, last paragraph, 1st sentence: change "one" to "ones".

Page 23, p definition: put the equal sign before "1".

Page 23, suffix fragment: make the same change as given for page 21.

Page 24, section 4.3, 1st sentence: change "rate" to "rates".  Change
"types" to "type".

Page 24, section 4.3, 2nd sentence: change "Rate" to "Rates".  Change
"G-PID" to "G-PIDs".

Page 25, 1st sentence after the figure: append "754" after "IEEE".

Page 25, section 4.4: the 1st two sentences are somewhat redundant to each
other and contradictory (is it a field or a subfield?).  Choose one and
delete the other.

Page 25, 1st sentence after the numbered list: change "Specific" to
"specific".  Or change "vendor" to "Vendor".  

Page 26, 1st sentence after the figure: insert "the" before "T".

Page 26, 1st sentence after the list of T values: insert "the" before "C".
Insert "the" before "regenerator".

Page 26, C=2 definition: change "Point" to "Pools".  (If you only make one
change in the document, it should be this one as it is technical.)

Page 26, last paragraph, 1st sentence: insert "the" before "regenerator".

Page 27, section 5, 2nd paragraph, 1st sentence: delete the comma after
"with".

Page 27, section 6, 2nd sentence: put the period outside of the closing
quotation mark.  I don't think you're looking for an IANA registry with a
period in its name.

Page 29, 1st paragraph: change "know" to "known".

Page 32, 1st sentence: change "port to port" to "port-to-port".

Page 32, last sentence: append a comma after "transmitters".

---

From: Leeyoung <[email-masked]>
Date: Mon, 23 Feb 2015 18:15:19 +0000

Hi Peter,

Thanks for your thorough review. I accept all your comments. Please see in-line for my response for some selected items that need some explanation.

Let me know if you have any question.

Best regards,
Young

-----Original Message-----
From: Peter Yee [mailto:[email-masked]] 
Sent: Thursday, February 19, 2015 11:45 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Gen-ART LC review for draft-ietf-ccamp-rwa-wson-encode-27

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Please resolve these comments along with any other Last Call comments you may receive.

Summary: This draft is basically ready for publication as a Standards Track RFC, but has some nits that should be fixed before publication. [Ready with nits.]

The draft specifies the encoding of information elements necessary for WSON switching.  I've no real issues with the document other than some (mostly) unimportant nits.

Major issues: None

Minor issues: None

Nits:

General:

There are a few occurrences of "i.e. XYZ" (that is, "i.e." followed by a space and something (XYZ)).  Insert a comma before the space, which should be easy with a general search-and-replace operation.

When a number of bits is used as an adjective, hyphenate the number and the word "bit".  For example, "64-bit OIC field" instead of "64 bit OIC field"

There are a number of definitions of the form "W: take values S (short-haul), L (long-haul)".  "Take" should be replaced with "takes" for all of these definitions.  These are found in sections 4.1.x.

I find the use of "information element", "field", and "subfield" a bit confusing as they are used somewhat interchangeably and without great consistency.  That said, I don't think the current usage will harm implementations.

YOUNG>> I will look at the document and see if "field" can be used in all cases.

Is there any requirement to specify how values are encoded in bit fields?  I wasn't sure if things were done in network order or if anything different from ITU specifications applied.  If there's any ambiguity, specify the encoding explicitly.

YOUNG>> All the values in Section 4 are encoded according to ITU-T specs. I don't think there is any ambiguity here. If there is anything different from ITU-T, this would need to be resolved first. 

Specific:

Page 1: The abstract should appear before the status of the memo.  RFC 7322 strongly recommends this ordering be maintained.

Page 2, Abstract, 2nd paragraph, 1st sentence: change "WSON specific" to "WSON-specific".

Page 6, Usage Note (last paragraph before section 3): change "advantages" to "advantageous".

Page 6, last sentence: append "field" after "Resource Accessibility".  See the discussion of the term "field" in the General Nits section as well.

Page 8, definitions of "I", "O", and "B": for clarity, it might be helpful to outright specify that the value 1 signals presence and 0 signals absence.
That will remove any minor ambiguity here.

Page 13, definitions of "I", "O", and B":  consider rewriting the definitions like this for readability:

	I = 1 indicates that the resource blocks identified in the RB set field utilized a shared fiber for input access and I = 0 indicates otherwise.

YOUNG>> Good suggestion. Will be added (I think your comment on page 8 would be satisfied with this change in Page 8 as well).

Page 13, last paragraph, last sentence: insert "the" before "following format".

Page 14, last sentence: delete "list of" and append "List" after "Optical Interface Class".

Page 15, 1st sentence after the I/O values table: insert "the" before "input/output".

Page 16, 1st sentence after S=x values: change "values" to "value".  (Only one value is given.)

Page 16, section 4.1.1, B definition: change "Bidirectionals" to "Bidirectional" (singular).  ITU-G.698.1 doesn't use the term "Bidirectionals" and the singular usage seems appropriate.

Page 17, c definition: insert "the" before "same".  Append "as" after "definition".  Replace "apply" with "applies".

Page 19, c definition: the same corrections as the Page 17 c definition apply here as well.

Page 21, fragment before the suffix bit map: rewrite as "suffix is a 6-bit bit map".  Consider changing "bit map" to "bitmap" as that compound word is widely accepted.

Page 24, section 4.3, 1st sentence: change "rate" to "rates".  Change "types" to "type".

Page 24, section 4.3, 2nd sentence: change "Rate" to "Rates".  Change "G-PID" to "G-PIDs".

Page 25, section 4.4: the 1st two sentences are somewhat redundant to each other and contradictory (is it a field or a subfield?).  Choose one and delete the other.

Page 25, 1st sentence after the numbered list: change "Specific" to "specific".  Or change "vendor" to "Vendor".  

Page 26, C=2 definition: change "Point" to "Pools".  (If you only make one change in the document, it should be this one as it is technical.)

Page 27, section 5, 2nd paragraph, 1st sentence: delete the comma after "with".

Page 27, section 6, 2nd sentence: put the period outside of the closing quotation mark.  I don't think you're looking for an IANA registry with a period in its name.